.TH "isaudit" "3" "March 31" "isaudit" "Byte Designs DISAM"


.SH NAME
isaudit \- Audit Trail Mechanism
.SH SYNOPSIS
.SS int isaudit( int \fIisfd\fP, char * \fIpad\fP, int \fImode\fP );
\&
.TS
l l .
\fIisfd\fP 	 isam file identifier 
\fIpad\fP 	 pointer to pad, usage dependent on mode 
\fImode\fP 	 operation mode, see below 
\&
.TE
.SH RETURN
.PP
SUCCESS, or a negative value on error,
in which case the error code is found in
iserrno\&
.SM [1]
\&.
.br
\&
.SM [1]
\& disam_error.7.man
.br
.SH NOTES
.PP
Mode is one of the following:
.PP
.nf
\fC
AUDSTART start recording
AUDSTOP stop recording
AUDSETNAME name and path of audit file
AUDGETNAME return current name and path
AUDINFO recording status
\fP
.fi
.PP
start and stop do not refer to pad, \fIAUDSETNAME\fP and \fIAUDGETNAME\fP will
store and retrieve (respectively) a null terminated string
from or to pad. \fIAUDINFO\fP will set the first byte of pad to
a value of zero (stopped) or one (active).
.PP
there are a couple of obvious caveats:
.PP
do not start recording until you have set a file name.
be careful not to use the same audit file for more than
one file.
.PP
the filename cannot be longer than 64 characters.


