.TH "isrewnxt" "3" "March 31" "isrewnxt" "Byte Designs DISAM"


.SH NAME
isrewnxt \- rewrite current and select next ISAM record
.SH SYNOPSIS
.SS int isrewnxt( int \fIisfd\fP, char * \fIdata\fP );
\&
.TS
l l .
\fIisfd\fP 	 isam file identifier 
\fIdata\fP 	 image to replace the current record 
\&
.TE
.SH RETURN
.PP
SUCCESS, or a negative value on error,
in which case the error code is found in
iserrno\&
.SM [1]
\&.
.br
\&
.SM [1]
\& disam_error.7.man
.br
.SH NOTES
.PP
isRewNxt
first sets the current pointer to the next record in
the current index before updating the original current record.
.PP
it is useful in situations where the update would place the
new record between the original current and next keys in the
index.
.PP
on successful return the application can then read current to
obtain the record that was next in the sequence before the
update was performed.
.PP
the contents of the original current record in the data file
will be replaced with the image passed,
and all related indexes updated.
.PP
an error code of \fIEENDFILE\fP on an unsuccessful return indicates
that the update was successful and
isRewNxt
has reached the
end of the file. any other error code indicates a failure
in the update operation.


